Build older versions with right openssl

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Build older versions with right openssl

Vlad Dumitrescu-2
Hi all,

I have a need to rebuild older versions of Erlang on Ubuntu and it works fine for v20, but for the others I get "no usable openssl found". I assume that's because a specific version of the libs is required (what I have is 1.1.0). I need the crypto application available.  How can I make it work? I have little experience in this area...

best regards,
Vlad


_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions
Reply | Threaded
Open this post in threaded view
|

Re: Build older versions with right openssl

Dmitry Klionsky-2

Hi,

This is how I build R12B5 on CentOS7 in Docker.

ENV ERLANG_VERSION R12B-5

ENV openssl openssl-1.0.2o

COPY src/${openssl}.tar.gz /tmp/
RUN cat /tmp/${openssl}.tar.gz | tar xfz - && cd ${openssl} && \
    ./config --prefix=/usr -fpic shared && \
    make && \
    make install && \
    ldconfig && \
    cd .. && rm -rf ${openssl} /tmp/${openssl}.tar.gz

RUN curl -S -L http://www.erlang.org/download/otp_src_${ERLANG_VERSION}.tar.gz | tar xz && \
    cd otp_src_${ERLANG_VERSION}/ && \
    ./configure --prefix=/opt/${ERLANG_VERSION} --without-wx --without-javac --without-odbc --disable-dynamic-ssl-lib && \
    make && \
    make install && \
    rm -rf /tmp/otp_src_${ERLANG_VERSION}*





On 06/06/2018 04:29 PM, Vlad Dumitrescu wrote:
Hi all,

I have a need to rebuild older versions of Erlang on Ubuntu and it works fine for v20, but for the others I get "no usable openssl found". I assume that's because a specific version of the libs is required (what I have is 1.1.0). I need the crypto application available.  How can I make it work? I have little experience in this area...

best regards,
Vlad



_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions

-- 
BR,
Dmitry

_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions
Reply | Threaded
Open this post in threaded view
|

Re: Build older versions with right openssl

Vlad Dumitrescu-2
Great Dmitry, thanks! 

Now only to check wich libssl version each OTP version requires, and where to get it from :-) 

best regards,
Vlad


On Wed, Jun 6, 2018 at 3:40 PM Dmitry Klionsky <[hidden email]> wrote:

Hi,

This is how I build R12B5 on CentOS7 in Docker.

ENV ERLANG_VERSION R12B-5

ENV openssl openssl-1.0.2o

COPY src/${openssl}.tar.gz /tmp/
RUN cat /tmp/${openssl}.tar.gz | tar xfz - && cd ${openssl} && \
    ./config --prefix=/usr -fpic shared && \
    make && \
    make install && \
    ldconfig && \
    cd .. && rm -rf ${openssl} /tmp/${openssl}.tar.gz

RUN curl -S -L http://www.erlang.org/download/otp_src_${ERLANG_VERSION}.tar.gz | tar xz && \
    cd otp_src_${ERLANG_VERSION}/ && \
    ./configure --prefix=/opt/${ERLANG_VERSION} --without-wx --without-javac --without-odbc --disable-dynamic-ssl-lib && \
    make && \
    make install && \
    rm -rf /tmp/otp_src_${ERLANG_VERSION}*





On 06/06/2018 04:29 PM, Vlad Dumitrescu wrote:
Hi all,

I have a need to rebuild older versions of Erlang on Ubuntu and it works fine for v20, but for the others I get "no usable openssl found". I assume that's because a specific version of the libs is required (what I have is 1.1.0). I need the crypto application available.  How can I make it work? I have little experience in this area...

best regards,
Vlad



_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions

-- 
BR,
Dmitry
_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions

_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions
Reply | Threaded
Open this post in threaded view
|

Re: Build older versions with right openssl

Dmitry Klionsky-2

>> Now only to check wich libssl version each OTP version requires,

It's try & guess :)

>> and where to get it from :-)

https://www.openssl.org/source/


On 06/06/2018 04:53 PM, Vlad Dumitrescu wrote:
Great Dmitry, thanks! 

Now only to check wich libssl version each OTP version requires, and where to get it from :-) 

best regards,
Vlad


On Wed, Jun 6, 2018 at 3:40 PM Dmitry Klionsky <[hidden email]> wrote:

Hi,

This is how I build R12B5 on CentOS7 in Docker.

ENV ERLANG_VERSION R12B-5

ENV openssl openssl-1.0.2o

COPY src/${openssl}.tar.gz /tmp/
RUN cat /tmp/${openssl}.tar.gz | tar xfz - && cd ${openssl} && \
    ./config --prefix=/usr -fpic shared && \
    make && \
    make install && \
    ldconfig && \
    cd .. && rm -rf ${openssl} /tmp/${openssl}.tar.gz

RUN curl -S -L http://www.erlang.org/download/otp_src_${ERLANG_VERSION}.tar.gz | tar xz && \
    cd otp_src_${ERLANG_VERSION}/ && \
    ./configure --prefix=/opt/${ERLANG_VERSION} --without-wx --without-javac --without-odbc --disable-dynamic-ssl-lib && \
    make && \
    make install && \
    rm -rf /tmp/otp_src_${ERLANG_VERSION}*





On 06/06/2018 04:29 PM, Vlad Dumitrescu wrote:
Hi all,

I have a need to rebuild older versions of Erlang on Ubuntu and it works fine for v20, but for the others I get "no usable openssl found". I assume that's because a specific version of the libs is required (what I have is 1.1.0). I need the crypto application available.  How can I make it work? I have little experience in this area...

best regards,
Vlad



_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions

-- 
BR,
Dmitry
_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions

-- 
BR,
Dmitry

_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions
Reply | Threaded
Open this post in threaded view
|

Re: Build older versions with right openssl

Loïc Hoguin-3
In reply to this post by Vlad Dumitrescu-2
Most recent 1.0 has been working for me from R16B03 onward.

On 06/06/2018 03:53 PM, Vlad Dumitrescu wrote:

> Great Dmitry, thanks!
>
> Now only to check wich libssl version each OTP version requires, and
> where to get it from :-)
>
> best regards,
> Vlad
>
>
> On Wed, Jun 6, 2018 at 3:40 PM Dmitry Klionsky <[hidden email]
> <mailto:[hidden email]>> wrote:
>
>     Hi,
>
>     This is how I build R12B5 on CentOS7 in Docker.
>
>     ENV ERLANG_VERSION R12B-5
>
>     ENV openssl openssl-1.0.2o
>
>     COPY src/${openssl}.tar.gz /tmp/
>     RUN cat /tmp/${openssl}.tar.gz | tar xfz - && cd ${openssl} && \
>          ./config --prefix=/usr -fpic shared && \
>          make && \
>          make install && \
>          ldconfig && \
>          cd .. && rm -rf ${openssl} /tmp/${openssl}.tar.gz
>
>     RUN curl -S -L
>     http://www.erlang.org/download/otp_src_${ERLANG_VERSION}.tar.gz |
>     tar xz && \
>          cd otp_src_${ERLANG_VERSION}/ && \
>          ./configure --prefix=/opt/${ERLANG_VERSION} --without-wx
>     --without-javac --without-odbc --disable-dynamic-ssl-lib && \
>          make && \
>          make install && \
>          rm -rf /tmp/otp_src_${ERLANG_VERSION}*
>
>
>
>
>
>     On 06/06/2018 04:29 PM, Vlad Dumitrescu wrote:
>>     Hi all,
>>
>>     I have a need to rebuild older versions of Erlang on Ubuntu and it
>>     works fine for v20, but for the others I get "no usable openssl
>>     found". I assume that's because a specific version of the libs is
>>     required (what I have is 1.1.0). I need the crypto application
>>     available. How can I make it work? I have little experience in
>>     this area...
>>
>>     best regards,
>>     Vlad
>>
>>
>>
>>     _______________________________________________
>>     erlang-questions mailing list
>>     [hidden email] <mailto:[hidden email]>
>>     http://erlang.org/mailman/listinfo/erlang-questions
>
>     --
>     BR,
>     Dmitry
>
>     _______________________________________________
>     erlang-questions mailing list
>     [hidden email] <mailto:[hidden email]>
>     http://erlang.org/mailman/listinfo/erlang-questions
>
>
>
> _______________________________________________
> erlang-questions mailing list
> [hidden email]
> http://erlang.org/mailman/listinfo/erlang-questions
>

--
Loïc Hoguin
https://ninenines.eu
_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions